Bug 1079214 (CVE-2013-7339) - CVE-2013-7339 kernel: net: rds: dereference of a NULL device in rds_ib_laddr_check()
Summary: CVE-2013-7339 kernel: net: rds: dereference of a NULL device in rds_ib_laddr_...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-7339
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1079216 1079217 1079218 1079219 1079220 1079221 1079222 1079223 1091357 1093338
Blocks: 1079227
TreeView+ depends on / blocked
 
Reported: 2014-03-21 08:54 UTC by Petr Matousek
Modified: 2019-09-29 13:14 UTC (History)
33 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the rds_ib_laddr_check() function in the Linux kernel's implementation of Reliable Datagram Sockets (RDS). A local, unprivileged user could use this flaw to crash the system.
Clone Of:
Environment:
Last Closed: 2014-07-29 16:24:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0740 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-06-11 00:44:50 UTC
Red Hat Product Errata RHSA-2014:0981 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-07-29 19:51:12 UTC
Red Hat Product Errata RHSA-2014:1101 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-08-27 18:01:22 UTC

Description Petr Matousek 2014-03-21 08:54:00 UTC
Description of the problem:
Binding might result in a NULL device which is later dereferenced in rds_ib_laddr_check() function without checking.

A local unprivileged user could use this flaw to crash the system.

Upstream patch:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=c2349758acf1874e4c2b93fe41d072336f1a31d0

References:
http://seclists.org/oss-sec/2014/q1/628

Comment 3 Petr Matousek 2014-03-21 08:58:20 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1079222]

Comment 4 Petr Matousek 2014-03-21 08:59:56 UTC
Statement:

(none)

Comment 7 errata-xmlrpc 2014-06-10 20:45:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0740 https://rhn.redhat.com/errata/RHSA-2014-0740.html

Comment 8 Vincent Danen 2014-06-20 13:47:44 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0439 https://rhn.redhat.com/errata/RHSA-2014-0439.html

Comment 9 errata-xmlrpc 2014-07-29 15:51:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0981 https://rhn.redhat.com/errata/RHSA-2014-0981.html

Comment 10 Martin Prpič 2014-08-25 09:10:16 UTC
IssueDescription:

A NULL pointer dereference flaw was found in the rds_ib_laddr_check() function in the Linux kernel's implementation of Reliable Datagram Sockets (RDS). A local, unprivileged user could use this flaw to crash the system.

Comment 11 errata-xmlrpc 2014-08-27 14:01:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:1101 https://rhn.redhat.com/errata/RHSA-2014-1101.html


Note You need to log in before you can comment on or make changes to this bug.